It would be nice if we could get a newer firefox running. The main reason this is necesarry is because the current version doesn't support all plugins and the flash runs slowly on it.
I've also been having problems with Blip.tv, whenever a movie that I upload is converted it asks me for a plugin it can't find and the conversion fails.


Release Notes:

Available in more than 70 languages.
Protection from out-of-date plugins to keep users safer as they browse.
Improved JavaScript performance, overall browser responsiveness, and startup time.